<?php

namespace App\Services;

use App\Models\UserSNSModel;
use App\Entities\UserSNSEntity;
// use Google\Service\AndroidEnterprise\Resource\Users;

class UserSNSService extends CommonService
{
    public function __construct()
    {
        parent::__construct(new UserSNSModel());
        $this->addClassName('UserSNS');
    }
    public function getFormFields(): array
    {
        return [
            'fields' => [
                "site",
                "user_uid",
                "id",
                "name",
                "email",
                "detail",
                "status",
            ],
            'filters' => [
                "site",
                "user_uid",
                "status",
            ],
        ];
    }
    public function getIndexFields(): array
    {
        return [
            'fields' => [
                "site",
                "user_uid",
                "id",
                "name",
                "email",
                "detail",
                "status",
            ],
            'filters' => [
                "site",
                "user_uid",
                "status",
            ],
        ];
    }
    public function getBatchjobFields(): array
    {
        return ['status'];
    }
    //기본 기능부분
}
